FTOS_CB_AddUpdateRepaymentNotificationDetail
Adds or updates a manual repayment notification detail record in the FTOS_CB_RepaymentNotificationDetail entity representing repayment notification detail for a contract. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateRepaymentNotificationDetail custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotificationDetail
Content-Type: application/json
{
"notificationDetailNo": "<notification_detail_number>"
"notificationNo": "<notification_number>",
"operationItemCode": "<operation_item_code>",
"value": "<notification_detail_value>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| notificationDetailNo | The number of the repayment notification detail. To create a new record, do NOT send this parameter. To update an existing record, fill and send this parameter in the request. |
| notificationNo | Mandatory. The number of the repayment notification. |
| operationItemCode | Mandatory. The code of the operation item used in the repayment notification detail. |
| value | Mandatory. The notification detail's value. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_RepaymentNotificationDetail entity. If the record is created or updated successfully, its notification and notification detail numbers are returned.
Example
To create a new record, do not fill or send the notificationDetailNo parameter.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotificationDetail
Content-Type: application/json
{
"notificationNo": "59102",
"operationItemCode": "LAF",
"value": 1233
}
Response
{
"IsSuccess": true,
"NotificationNo": "59102",
"NotificationDetailNo": "90975"
}
To update an existing record, fill and send the parameter with the desired value.notificationDetailNo
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotificationDetail
Content-Type: application/json
{
"notificationDetailNo": "90975",
"notificationNo": "59102",
"operationItemCode": "LAF",
"value": 1250
}
Response
{
"IsSuccess": true,
"NotificationNo": "59102",
"NotificationDetailNo": "90975"
}